import React from 'react';
import { OutlineVariant, PropsWithMetadata } from '@highlight-ui/utils-commons';
import { InputOutlineProps } from './InputOutline';
export declare type InputContainerProps = React.PropsWithChildren<PropsWithMetadata<{
    /** Sets a class name to the component's root element */
    className?: string;
    /** Disables the input element */
    disabled?: boolean;
    /** Allows providing a custom class name to the input element */
    inputClassName?: string;
    /** Sets the color of the input's border */
    outline?: OutlineVariant;
    /** Focuses the underlying input element */
    focused?: boolean;
    /**
     * @deprecated This prop has been deprecated and will be removed in an upcoming release.
     */
    fontStyle?: 'regular' | 'mono';
    /** Renders the passed element on the left side of the input */
    prefix?: React.ReactNode;
    /** Applies the specified style to the prefix element's container */
    prefixVariant?: 'opaque' | 'transparent';
    /** Renders the passed element on the right side of the input */
    suffix?: React.ReactNode;
    /** Passes a ref to the input's container element */
    containerRef?: React.Ref<HTMLDivElement>;
    /** onClick listener for the outline element */
    onOutlineClick?: InputOutlineProps['onClick'];
}>>;
declare const InputContainer: ({ children, className, disabled, focused, fontStyle, inputClassName, metadata, outline, prefix, prefixVariant, suffix, containerRef, onOutlineClick, }: InputContainerProps) => JSX.Element;
export default InputContainer;
